--- title: "Get cluster" slug: "nks-getcluster" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-getcluster" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get cluster Available in VPC Get specific cluster information. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /vnks/v2/clusters/{uuid} (Korea Region) | | GET | /vnks/sgn-v2/clusters/{uuid} (Singapore Region) | | GET | /vnks/jpn-v2/clusters/{uuid} (Japan Region) | ### Request headers For information about the headers common to all Ncloud Kubernetes Service APIs, see [Common Ncloud Kubernetes Service request headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | Required | Cluster's UUID - Check through [Get cluster list](/docs/en/nks-getclusterlist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://nks.apigw.ntruss.com/vnks/v2/clusters/****a20e-e0fb-4dc9-af1b-97fd3f8d****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cluster` | Object | - | Cluster information | | `cluster.cpuCount` | Integer | - | Number of CPUs | | `cluster.memorySize` | Integer | - | Total memory capacity | | `cluster.status` | String | - | Cluster status | | `cluster.nodeCount` | Integer | - | Total number of nodes registered | | `cluster.nodeMaxCount` | Integer | - | Maximum number of available nodes | | `cluster.clusterType` | String | - | Cluster type | | `cluster.hypervisorCode` | String | - | Hypervisor code | | `cluster.instanceNo` | Integer | - | Instance number | | `cluster.id` | Integer | - | Cluster ID | | `cluster.acgName` | String | - | ACG name | | `cluster.acgNo` | Integer | - | ACG number | | `cluster.capacity` | String | - | Cluster capacity | | `cluster.createdAt` | String | - | Cluster creation date and time | | `cluster.updatedAt` | String | - | Last update date and time | | `cluster.endpoint` | String | - | Control Plane API address | | `cluster.uuid` | String | - | Cluster UUID | | `cluster.name` | String | - | Cluster name | | `cluster.k8sVersion` | String | - | Kubernetes version | | `cluster.regionCode` | String | - | Region code | | `cluster.kuberNetworkPlugin` | String | - | CNI plugin code | | `cluster.vpcNo` | Integer | - | VPC ID | | `cluster.subnetNoList[]` | Array | - | Subnet ID list | | `cluster.subnetLbNo` | Integer | - | @deprecated Load Balancer-only subnet ID | | `cluster.lbPrivateSubnetNo` | Integer | - | Load balancer private subnet number | | `cluster.lbPrivateSubnetName` | String | - | Load balancer private subnet name | | `cluster.lbPrivateSubnetNoList[]` | Array | - | List of private subnet numbers for load balancer (one per zone; the first entry is the primary subnet) | | `cluster.lbPublicSubnetNo` | Integer | - | Load balancer public subnet number | | `cluster.lbPublicSubnetName` | String | - | Load balancer public subnet name | | `cluster.lbPublicSubnetNoList[]` | Array | - | List of public subnet numbers for load balancer (one per zone; the first entry is the primary subnet) | | `cluster.vpcName` | String | - | VPC name | | `cluster.subnetName` | String | - | @deprecated Subnet name | | `cluster.subnetNameList[]` | Array | - | Subnet name list | | `cluster.subnetLbName` | String | - | @deprecated Load Balancer-only subnet name | | `cluster.loginKeyName` | String | - | Authentication key name | | `cluster.zoneCode` | String | - | Zone code | | `cluster.zoneNo` | Integer | - | Zone number | | `cluster.log` | Array | - | Log list | | `cluster.log.audit` | Boolean | - | Set audit log. | | `cluster.publicNetwork` | Boolean | - | Public Network | | `cluster.iamAuth` | Boolean | - | Whether IAM authentication is enabled | | `cluster.isDefaultIamAuth` | Boolean | - | Whether the cluster is subject to default IAM authentication | | `cluster.isRegional` | Boolean | - | Whether the cluster is a multi-zone (regional) cluster | | `cluster.returnProtection` | Boolean | - | Whether termination protection is enabled | | `cluster.kmsKeyTag` | String | - | KMS key tag used for secret encryption | | `cluster.authType` | String | - | Cluster authentication method | | `cluster.nodePool[]` | Array | - | NodePool list | | `cluster.nodePool[].instanceNo` | Integer | - | NodePool instance number | | `cluster.nodePool[].k8sVersion` | String | - | NodePool Kubernetes version | | `cluster.nodePool[].name` | String | - | NodePool name | | `cluster.nodePool[].nodeCount` | Integer | - | Number of nodes | | `cluster.nodePool[].subnetNoList[]` | Array | - | NodePool subnet number list | | `cluster.nodePool[].subnetNameList[]` | Array | - | @deprecated NodePool subnet name list | | `cluster.nodePool[].softwareCode` | String | - | Software code | | `cluster.nodePool[].productCode` | String | - | Product code | | `cluster.nodePool[].serverSpecCode` | String | - | Server specification code | | `cluster.nodePool[].storageSize` | Integer | - | Storage size | | `cluster.nodePool[].status` | String | - | NodePool status | | `cluster.nodePool[].autoscale` | Array | - | Autoscaling list | | `cluster.nodePool[].autoscale.enabled` | Boolean | - | Whether auto scaling is enabled | | `cluster.nodePool[].autoscale.min` | Integer | - | Minimum number of nodes | | `cluster.nodePool[].autoscale.max` | Integer | - | Maximum number of nodes | | `cluster.nodePool[].serverRoleId` | String | - | IAM server role ID | | `cluster.nodePool[].fabricCluster` | Object | - | Fabric cluster information | | `cluster.nodePool[].fabricCluster.poolName` | String | - | Fabric cluster pool name | | `cluster.nodePool[].fabricCluster.poolNo` | Integer | - | Fabric cluster pool number | ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "cluster": { "cpuCount": 2, "memorySize": 8, "status": "RUNNING", "nodeCount": 1, "nodeMaxCount": 1, "clusterType": "AAA.VNKS.STAND.C002.M008.G000", "hypervisorCode": "KVM", "instanceNo": 23320000, "id": 14000, "acgName": "nks-14000-acgname", "acgNo": 1600009, "capacity": "vCPU 2EA, Memory 8GB", "createdAt": "2024-03-28T07:30:59.000Z", "updatedAt": "2024-03-28T08:26:33.000Z", "endpoint": "https://****a20e-e0fb-4dc9-af1b-97fd3f8d****.kr.vnks.ntruss.com", "uuid": "****a20e-e0fb-4dc9-af1b-97fd3f8d****", "name": "cluster00", "k8sVersion": "1.27.9-nks.2", "regionCode": "KR", "kubeNetworkPlugin": "cilium", "vpcNo": 59000, "subnetNoList": [ 139000 ], "subnetLbNo": 139000, "lbPrivateSubnetNo": 139000, "lbPrivateSubnetName": "-", "lbPrivateSubnetNoList": [ 139000 ], "lbPublicSubnetNo": 139000, "lbPublicSubnetName": "-", "lbPublicSubnetNoList": [ 139000 ], "vpcName": "k8s-vpc | 10.0.0.0/16", "subnetName": "k8s-subnet", "subnetNameList": [ "k8s-subnet | KR-1 | 0.0.0.0/0 | Public" ], "subnetLbName": "k8s-lbsubnet2 | KR-1 | 0.0.0.0/0 | Private", "loginKeyName": "a123", "zoneCode": "KR-1", "zoneNo": 2, "log": { "audit": false }, "publicNetwork": true, "iamAuth": true, "isDefaultIamAuth": true, "returnProtection": true, "authType": "CONFIG_MAP", "kmsKeyTag": "****83e65495374b9cf590a783f442fd50eb48c54eb56774de1ff62bcda4****", "nodePool": [ { "instanceNo": 23320000, "k8sVersion": "1.27.9", "name": "nodepool", "nodeCount": 1, "subnetNoList": [], "subnetNameList": [], "softwareCode": "SW.AAAA.OS.LNX64.UBNTU.SVR22.WRKND.AAAA", "productCode": "SVR.AAAA.STAND.C002.M008.AAAA", "serverSpecCode": "s2-g3", "storageSize": 100, "status": "RUN", "serverRoleId": "***1fdc0-eb90-11ec-a2d9-246e966eb***", "autoscale": { "enabled": false, "min": 0, "max": 0 } } ] } } ```